tableQualityResults
curl --request GET \
--url https://api.askparable.com/api/catalog/table-quality-results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/catalog/table-quality-results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/catalog/table-quality-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/catalog/table-quality-results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"results": [
{
"capturedAt": "<string>",
"checks": [
{
"spec": {
"description": "<string>",
"gate": "GATE_1",
"id": "<string>"
},
"status": "PASS",
"comparator": "LT",
"evidence": {
"message": "<string>",
"runOverRunDelta": 123,
"sampleKeys": [
"<string>"
],
"topViolatingValues": [
"<string>"
]
},
"observed": 123,
"threshold": 123
}
],
"lifecycle": "promote",
"overallStatus": "PASS",
"resultId": "<string>",
"runId": "<string>",
"dataContractId": "<string>",
"tapContractId": "<string>"
}
],
"resultsVersion": "<string>",
"tenantId": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}tableQualityResults
Latest TableQualityResult for every contract in the workspace’s catalog. Records are written by services/provider-transformations queue jobs through parable-dataplane-quality-rs.
GET
/
api
/
catalog
/
table-quality-results
tableQualityResults
curl --request GET \
--url https://api.askparable.com/api/catalog/table-quality-results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/catalog/table-quality-results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/catalog/table-quality-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/catalog/table-quality-results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"results": [
{
"capturedAt": "<string>",
"checks": [
{
"spec": {
"description": "<string>",
"gate": "GATE_1",
"id": "<string>"
},
"status": "PASS",
"comparator": "LT",
"evidence": {
"message": "<string>",
"runOverRunDelta": 123,
"sampleKeys": [
"<string>"
],
"topViolatingValues": [
"<string>"
]
},
"observed": 123,
"threshold": 123
}
],
"lifecycle": "promote",
"overallStatus": "PASS",
"resultId": "<string>",
"runId": "<string>",
"dataContractId": "<string>",
"tapContractId": "<string>"
}
],
"resultsVersion": "<string>",
"tenantId": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"